# Interface IntType

Type of a signed integer

#### Category

Elementary types

#### Hierarchy

- IntType

- Defined in codec/lib/format/types.ts:72

#####
Index

### Properties

bits
typeClass
typeHint?

## Properties

### bits

bits: number

- Defined in codec/lib/format/types.ts:74

### typeClass

typeClass: "int"

- Defined in codec/lib/format/types.ts:73

### `Optional` typeHint

typeHint?: string

- Defined in codec/lib/format/types.ts:75

Generated using TypeDoc